Loading...
 
Architecture / Installation

Architecture / Installation


Re: Not exactly what I expected when upgrading from 18.2 to 18.3

posts: 7984 Israel

Sad to read you got troubles upgrading.

It is important for the project to understand clearly what happened to you but for this we need detailed report.

Things like did you use an official released package, an svn version what kind of MySQL db you use (mariaDB or myisam), the db encoding, etc...

Also the developers will need the precise error thrown back.

Another important things to consider is that with PHP7 (and the new ZendFramework) there are more controls and check about expected values and you may see "warnings" (warniong and not errors) due to a misusage of some elements;

Just 2 examples to give you an idea:

  • I debugged on one customers many errors due to the fact that he was duplicating pages and pages with empty footnote area plugin in case he’ll need it. That’s not the way it is supposed to work. :-)
  • On another customer I found out that he was using an email address for his articles author fields, again that’s not what is expected.


Those 2 things weren’t checked or signalled when using previous versions (and previous PHP version) now they lead (thanks) to a warning. There are more but it was just to give you an idea. So when you have warning read the warning content, it may give a lead on what is going on.

Please for whatever issue you have (after trying to solve it) you are welcomed to post a ticket at https://dev.tiki.org/Development (after checking it is not already reported).

Join our Tiki Open Online Hours session every first, second and fourth Thursday of the month and receive support from a Tiki consultant online for free.

Why Register?

Register at tiki.org and you'll be able to use the account at any *.tiki.org site, thanks to the InterTiki feature. A valid email address is required to receive site notifications and occasional newsletters. You can opt out of these items at any time.